#include "colors.inc"

#declare MyTexture = texture {
        pigment {
                color Red  
        }
        finish {
                ambient 0.2
                phong 0.8 phong_size 10  
//                reflection { 0.2 } 
//                diffuse 0.2    
//                specular 0.5    
//                roughness 0.5 
//                metallic 0.5  
//                reflection Green    
//                irid { 0.2 }       // Seifenblasenfilm
        }               
}

global_settings {
        ambient_light White
}

camera {
        location <7,10,5>
        look_at <0,2,0>
}
   
light_source {
        <0,20,20>
        color White
}

light_source {
        <20,20,0>
        color White
}
    

sky_sphere {
    pigment {
      gradient y
      color_map {
        [ 0.5  color CornflowerBlue ]
        [ 1.0  color MidnightBlue ]
      }
      scale 2
      translate -1
    }
  }

plane {
        <0,1,0>, 0   
        texture {
                pigment {
                        color Gray90
                }
        finish {
                        ambient 0.1   
                        reflection {
                                0.1
                        }        
                }
        }                                                   
}

#declare Sol = union {       
        cylinder { <0,1,0> <0,5,0> 0.5 }  
        sphere { <0, 1, 0> 1 }  
        sphere { <0, 5, 0> 1 }
        texture { MyTexture }      
}

#declare TwoSol = union {
        object { Sol }
        object { Sol
                translate <0,-3,0>
                rotate <90,0,0>
                translate <0,3,0>
        }  
}

#declare HalfSphere = intersection {
        sphere { <0,3,0> 3 }
        box { <0,0,-3> <-3,6,3> }
}

difference {
        object { HalfSphere }
        object { TwoSol }   
        texture { MyTexture }
} 
                      